Bug 132557 - FILEOPEN PPTX: oval shape from slide master opens as square (OK from PPT)
Summary: FILEOPEN PPTX: oval shape from slide master opens as square (OK from PPT)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Sarper Akdemir
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: filter:pptx
Depends on:
Blocks: PPTX-MasterSlide
  Show dependency treegraph
 
Reported: 2020-04-30 13:29 UTC by Gerald Pfeifer
Modified: 2022-02-22 11:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample slide (PPTX) (1.29 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-04-30 13:29 UTC, Gerald Pfeifer
Details
This is how it looks in LO (36.01 KB, image/png)
2020-04-30 13:30 UTC, Gerald Pfeifer
Details
How it looks in Office 365 (respective area highlighted) (29.11 KB, image/png)
2020-04-30 13:34 UTC, Gerald Pfeifer
Details
How it looks in presentation mode after commit from comment #4 (235.29 KB, image/png)
2022-02-20 14:51 UTC, Gerald Pfeifer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2020-04-30 13:29:28 UTC
Created attachment 160131 [details]
Sample slide (PPTX)
Comment 1 Gerald Pfeifer 2020-04-30 13:30:55 UTC
Created attachment 160132 [details]
This is how it looks in LO
Comment 2 Gerald Pfeifer 2020-04-30 13:34:49 UTC
Created attachment 160133 [details]
How it looks in Office 365 (respective area highlighted)

Compare the page number in the lower right corner of the two screenshots
for LibreOffice and Office 365: in one case it's a square box, in the other
a circle.

Version: 7.0.0.0.alpha0+
Build ID: 2e9261415006ce782a7ae699c69f5be3cec29dff
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-04-22_02:33:36
Comment 3 Timur 2020-05-02 17:54:00 UTC
Repro for PPTX from OO. 
It's not about slide number, it' oval shape opening as square, from slide master.
No repro for PPT.
Comment 4 Commit Notification 2022-02-15 08:57:53 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6df267780c4d41b41101c1be0a954b2f16ee8012

tdf#132557: PPTX import: Workaround for slide footer shape presets

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-02-15 11:09:35 UTC
Sarper Akdemir committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/13303294d2dec9d6630b22fe67a7ff7194a2d1f6

tdf#132557: PPTX import: Workaround for slide footer shape presets

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Gerald Pfeifer 2022-02-18 11:02:42 UTC
I verified this with today's daily build

  Version: 7.4.0.0.alpha0+ / LibreOffice Community
  Build ID: cb56edb177f4db5b9cc4d140543c4b11d41ef1b0
  CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: gtk3
  Locale: en-US (en_US.UTF-8); UI: en-US

Thank you!
Comment 7 Gerald Pfeifer 2022-02-18 11:23:16 UTC
New report for the bigger issue is at
https://bugs.documentfoundation.org/show_bug.cgi?id=147440
Comment 8 Gerald Pfeifer 2022-02-20 14:51:48 UTC
Created attachment 178405 [details]
How it looks in presentation mode after commit from comment #4

Bad news: The issue appears fixed in edit mode. However in presentation
mode now instead of a circle we now get a tall ellipsis - see screenshot.
Comment 9 Gerald Pfeifer 2022-02-20 14:57:53 UTC
(In reply to Gerald Pfeifer from comment #8)
> Bad news: The issue appears fixed in edit mode. However in presentation
> mode now instead of a circle we now get a tall ellipsis - see screenshot.

Note that the ellipsis even goes beyond the borders of the slide (at the
bottom) and it, and the page number, appears larger than in Office 365
(see attachment #3).  Both of that in presentation mode only!
Comment 10 Sarper Akdemir 2022-02-21 14:25:42 UTC
(In reply to Gerald Pfeifer from comment #8)
> Created attachment 178405 [details]
> How it looks in presentation mode after commit from comment #4
> 
> Bad news: The issue appears fixed in edit mode. However in presentation
> mode now instead of a circle we now get a tall ellipsis - see screenshot.

This issue appears to be a regression from an unrelated patch. Filed the corresponding problem at Bug 147576
Comment 11 Gerald Pfeifer 2022-02-21 20:43:09 UTC
(In reply to Sarper Akdemir from comment #10)
> This issue appears to be a regression from an unrelated patch. Filed the
> corresponding problem at Bug 147576

Oh, bummer.  Thank you for identifying the source of that regression and
opening a bug for that!

Shall we close this one again (and mark as VERIFIED)?
Comment 12 Sarper Akdemir 2022-02-22 11:00:37 UTC
(In reply to Gerald Pfeifer from comment #11)
> 
> Oh, bummer.  Thank you for identifying the source of that regression and
> opening a bug for that!
> 
> Shall we close this one again (and mark as VERIFIED)?

Oh yes, closing now. Thanks for thoroughly testing and catching the regression early :)